| Home | Libraries | People | FAQ | More

## Struct template absorbs_identities<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

boost::icl::absorbs_identities<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_ALLOC Alloc>
    struct absorbs_identities<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >> {
      // types
      typedef absorbs_identities type;

      // public member functions
       BOOST_STATIC_CONSTANT(int, value = Traits::absorbs_identities);
    };

## Description

### `absorbs_identities` public member functions

1.      BOOST_STATIC_CONSTANT(int, value = Traits::absorbs_identities);